<template>
  <div class="monitor">
    <MonitorMenu :menu="currentMenu" @on-select-change="onMenuSelectChange"></MonitorMenu>
    <div class="panel" v-if="currentMenu && currentMenu.name">
      <MonitorPanel :menu="currentMenu" @close="onPanelClose"></MonitorPanel>
    </div>
    <MonitorSVG></MonitorSVG>
  </div>
</template>

<script>
import MonitorMenu from "@/components/monitor/menu";
import MonitorPanel from "@/components/monitor/panel";
import MonitorSVG from "@/components/monitor/svg";
export default {
  name: "Monitor",
  components: {
    MonitorMenu,
    MonitorPanel,
    MonitorSVG,
  },
  data() {
    return {
      currentMenu: {
        name: "agv",
        icon: "md-git-compare",
        title: "AGV",
      },
    };
  },
  methods: {
    onMenuSelectChange(menu) {
      this.currentMenu = menu;
    },
    onPanelClose() {
      this.currentMenu = {
        name: "",
        icon: "",
        title: "",
      };
    },
  },
};
</script>

<style lang="less" scoped>
@import "../less/monitor.less";
.monitor {
  height: 100%;
  position: relative;
  .monitor-menu {
    position: absolute;
    z-index: @monitor-menu-z-index;
  }
  .panel {
    position: absolute;
    top: 0;
    left: calc(@monitor-menu-width + @monitor-panel-left-gap);
    width: @monitor-panel-width;
    height: 100%;
    background-color: #fff;
    box-shadow: 3px 3px 11px 0px rgba(0, 0, 0, 0.3);
    z-index: @monitor-panel-z-index;
    border-radius: 5px;
  }
}
</style>